低危 SDL2_image 输入验证错误漏洞

CVE编号

CVE-2019-5060

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-08-01
漏洞描述
Simple DirectMedia Layer(SDL)是一个用于访问低级硬件和图形,并为游戏、软件和仿真器提供支持的多平台库。SDL2_image是其中的一个用于解析和显示各种图像文件格式的组件。
SDL2_image 2.0.4版本中的XPM图像渲染功能存在输入验证错误漏洞。攻击者可借助特制的XPM图像利用该漏洞造成堆溢出,进而执行代码。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libsdl sdl2_image 2.0.4 -
运行在以下环境
应用 opensuse backports_sle 15.0 -
运行在以下环境
系统 alpine_3.10 sdl2_image * Up to
(excluding)
2.0.5-r0
运行在以下环境
系统 alpine_3.7 sdl2_image * Up to
(excluding)
2.0.5-r0
运行在以下环境
系统 alpine_3.8 sdl2_image * Up to
(excluding)
2.0.5-r0
运行在以下环境
系统 alpine_3.9 sdl2_image * Up to
(excluding)
2.0.5-r0
运行在以下环境
系统 debian_10 sdl2_image * Up to
(including)
1.2.12-10+deb10u1
运行在以下环境
系统 debian_9 sdl2_image * Up to
(including)
1.2.12-5+deb9u2
运行在以下环境
系统 opensuse_Leap_15.0 sdl2_image * Up to
(excluding)
1.2.12
运行在以下环境
系统 opensuse_Leap_15.1 sdl2_image * Up to
(excluding)
1.2.12
运行在以下环境
系统 ubuntu_20.04 sdl2_image * Up to
(excluding)
2.0.5+dfsg1-1
运行在以下环境
系统 ubuntu_21.04 sdl2_image * Up to
(excluding)
2.0.5+dfsg1-1
运行在以下环境
系统 ubuntu_21.10 sdl2_image * Up to
(excluding)
2.0.5+dfsg1-1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
CWE-787 跨界内存写
阿里云安全产品覆盖情况